Package ru.bitel.bgbilling.kernel.dynamic.server.event

# Class ScriptSavingEvent

java.lang.Object
ru.bitel.bgbilling.kernel.base.server.logger.BGLogger
ru.bitel.bgbilling.kernel.event.common.Event
ru.bitel.bgbilling.kernel.event.common.QueueEvent
ru.bitel.bgbilling.kernel.dynamic.server.event.ScriptSavingEvent

All Implemented Interfaces:
  `Serializable`

public class ScriptSavingEvent extends ru.bitel.bgbilling.kernel.event.common.QueueEvent
дин.код, текст скрипта, был изменён, отредактирован. через это событие работает компиляция, в том числе "скомпилировать всё".

See Also:
  - Serialized Form

- ## Field Summary

  ### Fields inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `CONTRACT_GLOBAL, NO_MODULE, NO_PLUGIN`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScriptSavingEvent()`
  `ScriptSavingEvent(List<String> classNames, boolean clearTable)`
  Создает событие.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<String>`
  `getClassNames()`
  Возвращает список имён классов для перекомпиляции
  `CompilationResult`
  `getCompilationResult()`
  Возвращает результат компиляции
  `boolean`
  `isClearTable()`
  Проверяет установлен ли флаг очистки таблицы
  `void`
  `setClassNames(List<String> classNames)`
  Устанавливает список имён классов для перекомпиляции
  `void`
  `setClearTable(boolean clearTable)`
  Устанавливает флаг необходимости полной очистки таблицы классов
  `void`
  `setCompilationResult(CompilationResult result)`
  Устанавливает результат компиляции

  ### Methods inherited from class ru.bitel.bgbilling.kernel.event.common.Event

  `getContractId, getDestination, getGenerateTime, getMessageID, getModuleId, getPluginId, getSource, getSuperContractId, getTime, getTimestamp, getTypeId, getUserId, isLogFunctionProcess, prepareMessage, serializeAsObject, setLogFunctionProcess, setMessageID, setSource, toString, toString`

  ### Methods inherited from class ru.bitel.bgbilling.kernel.base.server.logger.BGLogger

  `error, error, error, getLogger, logError, logError, warn`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### ScriptSavingEvent

    public ScriptSavingEvent()

  - ### ScriptSavingEvent

    public ScriptSavingEvent(List<String> classNames, boolean clearTable)
    Создает событие.
    Parameters:
      `classNames` - имена классов для перекомпиляции
      `clearTable` - нужна ли полная очистка таблицы

- ## Method Details

  - ### setClassNames

    public void setClassNames(List<String> classNames)
    Устанавливает список имён классов для перекомпиляции
    Parameters:
      `classNames` -

  - ### getClassNames

    public List<String> getClassNames()
    Возвращает список имён классов для перекомпиляции
    Returns:

  - ### setCompilationResult

    public void setCompilationResult(CompilationResult result)
    Устанавливает результат компиляции
    Parameters:
      `result` -

  - ### getCompilationResult

    public CompilationResult getCompilationResult()
    Возвращает результат компиляции
    Returns:

  - ### setClearTable

    public void setClearTable(boolean clearTable)
    Устанавливает флаг необходимости полной очистки таблицы классов
    Parameters:
      `clearTable` -

  - ### isClearTable

    public boolean isClearTable()
    Проверяет установлен ли флаг очистки таблицы
    Returns: